/* Main menu */
ul.menu_top {
    margin: 4px 4px 0 0;
    list-style-type: none;
    z-index: +1;
    font-size: 18px;
    font-weight: bold;
    padding: 0;
}

ul.menu_top > li {
    float: left;
    position: relative;
    margin: 4px 4px 4px 4px;
    padding: 0;
    list-style-type: none; /* Remove bullet points for main menu items */
}

/* Divider between main menu items (except last) */
ul.menu_top > li:not(:last-child)::after {
    content: "|";
    margin: 0 8px;
}

/* Submenu styling */
ul.menu_sub {
    visibility: hidden;
    position: absolute;
    top: 100%;
    left: 0;
    padding: 0.2em;
    list-style-type: none;
    white-space: nowrap;
    background: #fff;
    border-color: #b9b9b9;
    box-shadow: 1px 3px 5px rgba(0, 0, 0, 0.2);
    border: 1px solid #dcdcdc;
    border-radius: 4px;
    z-index: +1;
}

/* Show submenus on hover for main menu */
ul.menu_top > li:hover > ul.menu_sub {
    visibility: visible;
    z-index: +1;
}

/* Show submenus on hover for nested submenus */
ul.menu_sub li:hover > ul.menu_sub {
    visibility: visible;
    z-index: +1;
}

ul.menu_sub li {
    padding: 0;
    margin: 4px 4px;
    float: none;
    border: 0;
    min-width: 3em;
    position: relative;
    list-style-type: none; /* Remove bullet points for submenu items */
}

/* Nested submenus */
ul.menu_sub li ul.menu_sub {
    top: 0;
    left: 99%;
}

/* Link styling */
ul.menu_top a,
ul.menu_sub a {
    text-decoration: none;
    padding: 0px;
}

ul.menu_top a:hover,
ul.menu_top a.haschildren.childselected,
ul.menu_top a.selected,
ul.menu_sub a:hover {
    background-color: #a0a0a0;
    text-decoration: underline;
}

ul.menu_top li a.haschildren:after {
    content: "\00A0\00A0\25BC";
}

/* Other existing styles */
div.simple_mnu {
    padding: 4px 4px 4px 4px;
    background: #fff;
    border-color: #b9b9b9;
    box-shadow: 1px 3px 5px rgba(0, 0, 0, 0.2);
    border: 1px solid #dcdcdc;
    border-radius: 4px;
    text-decoration: none;
    font-size: 20px;
    font-weight: bold;
    text-align: center;
}

div.simple_mnu a {
    text-decoration: none;
    padding: 0px;
}

div.simple_mnu a:hover,
ul.menu_top a.haschildren.childselected,
ul.menu_top a.selected {
    background-color: #a0a0a0;
    text-decoration: underline;
}

div.header {
    padding: 4px 4px 4px 4px;
    background: #fff;
    border-color: #b9b9b9;
    box-shadow: 1px 3px 5px rgba(0, 0, 0, 0.2);
    border: 1px solid #dcdcdc;
    border-radius: 4px;
    font-size: 20px;
    font-weight: bold;
    text-align: center;
}

div.tophead {
    font-size: 30px;
    font-weight: bold;
    text-align: center;
    vertical-align: middle;
    text-decoration: none;
}

img.flip {
    -moz-transform: scaleX(-1);
    -o-transform: scaleX(-1);
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
    filter: FlipH;
    -ms-filter: "FlipH";
}